<?php
/**
 * @copyright ONE/DEPO Project
 * @license   PHP License 3.01 <http://www.php.net/license/3_01.txt>
 */


//JSONを扱うためのパーサ
//require_once(WEBAPP_DIR."/JSON.php");

/* vim: set expandtab tabstop=4 shiftwidth=4 softtabstop=4: */

/**
 * [[機能説明]]
 *
 * @package     [[package名]]
 * @author      Your Name <mail@example.com>
 * @access      public
 */
class Customer_Itemattribute_Review_Delete
{
//データベースから値をもらってくるためのID
    var $reviewcd;
    var $updcnt;

	var $session;
	var $c_review;
	
	var $auth;
	
    /**
     * [[機能説明]]
     *
     * @access  public
     */
    function execute()
    {
        $log =& LogFactory::getLog();
        $log->debug("Customer_Itemattribute_Review_Deleteが実行されました", "Customer_Itemattribute_Review_Delete#execute");
        
        $res = $this -> c_review -> delete(
            $this->reviewcd, 
            $this->auth->getAuthData("membercd"), 
            $this->updcnt);
        if($res == false) {
            return 'input';
        } else {
            return 'success';
        }
    }
    
}
?>
